Package org.tmatesoft.svn.core

# Interface ISVNLogEntryHandler

All Known Implementing Classes:
  `SVNXMLLogHandler`

public interface ISVNLogEntryHandler
The ISVNLogEntryHandler interface should be implemented in order to handle per revision commit information (in a kind of a revisions history operation)- log entries (represented by SVNLogEntry objects).

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  - `SVNLogEntry`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleLogEntry(SVNLogEntry logEntry)`
Handles a log entry passed.

## Method Details

### handleLogEntry

void handleLogEntry(SVNLogEntry logEntry) throws SVNException
Handles a log entry passed.

Parameters:
  `logEntry` - an `SVNLogEntry` object that represents per revision information (committed paths, log message, etc.)
Throws:
  `SVNException`